<?php

namespace common\modules\school\models;

class UserStatistics extends \common\components\ActiveRecordModel
{

    const NOT_LESSON = 0;
    const SELECTED_SOC_NETWORK = 1;
    
    public static function tableName()
    {
        return 'user_statistics';
    }

    public function name()
    {
        return 'Публикации в соцсетях';
    }

    public function attributeLabels() 
    {
        return [
            'lesson_id' => 'Урок',
            'user_id' => 'Пользователь',
            'facebook' => 'Facebook',
            'vkontakte' => 'Вконтакте',
            'gplus' => 'Google+',
            'twitter' => 'Twitter',
            'tumblr' => 'Tumblr',
        ];
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_id'], 'required'],
            [['lesson_id', 'user_id', 'facebook', 'vkontakte', 'gplus', 'twitter', 'tumblr'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            
        ];
    }
}
